Subject: Re : Re: Memory error with PDKSH 5.2.14-3?
From: Thomas SMETS <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 12 Jun 2006 10:04:27 -0700 (PDT)

One year later .... (with the same/latest version)
Using :
    set -x
    set -v
in a script generates a similar error around line 50whatever code I put in the script 

\T,

Re: Memory error with PDKSH 5.2.14-3?   From: Igor Pechtchanski <pechtcha at cs dot nyu dot edu>To: Thomas Baker <thomas dot baker at bi dot fhg dot de>Cc: cygwin at cygwin dot comDate: Mon, 6 Jun 2005 10:26:26 -0400 (EDT)Subject: Re: Memory error with PDKSH 5.2.14-3?References: <20050605082204.GA1664@Octavius> <20050606101735.GA1920@Octavius>Reply-to: cygwin at cygwin dot com      On Mon, 6 Jun 2005, Thomas Baker wrote:

> Just wanted to report that I was seeing error messages such as the
> following in Korn shell scripts:
>
>      /home/tbaker/u/bin/urlists[50]: internal error: alloc: freeing
>      memory outside of block (corrupted?)
>
> By running the scripts in debug mode (set -x), I found that
> the problem seemed to occur when declared functions (i.e.,
> declared within the script) were invoked multiple times.
> The functions would work at first, then stop working --
> as if the functions somehow ate up the available memory.
>
> Since rolling back from 5.2.14-3 to 5.2.14-2, the problem
> seems to have gone away.
>
> I am not a programmer and do not have time to test this
> systematically but thought others on this list might want
> to hear about this.

Thanks for the report.  However:

I have no hope of reproducing this, do I?

AFAICS, the few changes from 5.2.14-2 to 5.2.14-3 that could have possibly
caused this are the fixes in the autoconf files.  I doubt the "struct
option" magic would matter, but it's possible, I guess, though by
eyeballing the code the two versions do look functionally equivalent.

It would help to have a script that demonstrates the problem.  I can't do
anything otherwise, sorry...

Igor Pechtchanski, the Cygwin pdksh volunteer maintainer
-- 
				http://cs.nyu.edu/~pechtcha/
      |\      _,,,---,,_		[email-masked]
ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
     |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski, Ph.D.
    '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!

"The Sun will pass between the Earth and the Moon tonight for a total
Lunar eclipse..." -- WCBS Radio Newsbrief, Oct 27 2004, 12:01 pm EDT
 
--  Any fool can write code that a computer can understand.  
Good programmers write code that humans can understand.                                                    
Martin Fowler  
 
T. : +32 (0)2 742 05 94 
M. : +32 (0)497 44 68 12 
@  : [email-masked] 
Do you skype too ... (callto://tsmets/) ?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/